import {model, ObjectId, Schema, Types} from "mongoose";

export interface IGroup {
    projectId: ObjectId,
    name: string,
    description?: string,
    permissions: string[]
}

const GroupSchema = new Schema<IGroup>({
    projectId: {
        type: Types.ObjectId,
        required: true
    },
    name: {
        type: String,
        required: true
    },
    description: {
        type: String,
        default: "Keine Beschreibung angegeben"
    },
    permissions: [String]
});

export const Group = model<IGroup>("groups", GroupSchema);