import {model, ObjectId, Schema, Types} from "mongoose";

export interface IMember {
    projectId: ObjectId,
    memberId: ObjectId,
    accepted: boolean
}

const MemberSchema = new Schema<IMember>({
    projectId: {
        type: Types.ObjectId,
        required: true
    },
    memberId: {
        type: Types.ObjectId,
        required: true
    },
    accepted: {
        type: Boolean,
        default: false
    }
});

export const Member = model<IMember>("members", MemberSchema);