import {model, ObjectId, Schema, Types} from "mongoose";

export interface IPermission {
    projectId: ObjectId,
    permission: string,
    description: string
}

const PermissionSchema = new Schema<IPermission>({
    projectId: {
        type: Types.ObjectId,
        required: true
    },
    permission: {
        type: String,
        required: true
    },
    description: {
        type: String,
        default: "Keine Beschreibung angegeben"
    }
});

export const Permission = model<IPermission>("permissions", PermissionSchema);